# ListCrossBorderSections

List top level HS Code Sections.

`GET /api/v2/definitions/crossborder/sections`

**API:** AvaTax API
**Tag:** Definitions
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Definitions/ListCrossBorderSections/

## Description

Returns the full list of top level HS Code Sections. Sections are the broadest level of detail for
classifying tariff codes and the items to which they apply. HS Codes are organized
by Section/Chapter/Heading/Subheading/Classification.
            
This API is intended to be useful to identify the top level Sections for
further LandedCost HS Code lookups.

### Security Policies

* This API depends on the following active services:*Required* (all):  AvaTaxGlobal.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `HsCodeModelFetchResult` |

### 200 Response: `HsCodeModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | HsCodeModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/definitions/crossborder/sections" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```